#include <basic_widgets/w/numeric_input.hpp>

#include "run.hpp"

using bwidgets::NumericInput;

auto main() -> int
{
    run_example<NumericInput<float>>([](auto* w, auto* f, auto, auto) {
        w->font(f);
        w->button_step = 0.5;       // NOLINT(readability-magic-numbers)
        w->value_range(-3.14, 8.5); // NOLINT(readability-magic-numbers)
    });
    return 0;
}
